Skip to Content
veriom

GitHub app claim start

POST
/v1/github/app/installations/{installation_id}/claim/start

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

installation_id*Installation Id

Request Body

application/json
  1. body
next?Next
Length1 <= length <= 500
Default"/onboarding"
workspace_id*Workspace Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
authorization_url*Authorization Url
Example Request
curl -X POST 'https://api.veriom.ai/v1/github/app/installations/0/claim/start' \  -H 'Content-Type: application/json' \  -d '{  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}'
Example Response
{  "authorization_url": "string"}